<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>MonsterRender</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="declaration: package: Heroes.Monster, class: MonsterRender">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":6,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":6,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MonsterRender.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Heroes.Monster</a></div>
<h1 title="Class MonsterRender" class="title">Class MonsterRender</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">javafx.scene.Node
<div class="inheritance">javafx.scene.image.ImageView
<div class="inheritance">Heroes.Monster.MonsterRender</div>
</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>javafx.css.Styleable</code>, <code>javafx.event.EventTarget</code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="Monster.html" title="class in Heroes.Monster">Monster</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">MonsterRender</span>
extends javafx.scene.image.ImageView</pre>
<div class="block">The type Monster render.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jordan Rey-Jouanchicot</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== PROPERTY SUMMARY =========== -->
<li class="blockList">
<section class="propertySummary"><a id="property.summary">
<!--   -->
</a>
<h2>Property Summary</h2>
<div class="inheritedList">
<h3>Properties inherited from class&nbsp;javafx.scene.image.ImageView</h3>
<a id="properties.inherited.from.class.javafx.scene.image.ImageView">
<!--   -->
</a><code>fitHeight, fitWidth, image, preserveRatio, smooth, viewport, x, y</code></div>
<div class="inheritedList">
<h3>Properties inherited from class&nbsp;javafx.scene.Node</h3>
<a id="properties.inherited.from.class.javafx.scene.Node">
<!--   -->
</a><code>accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible</code></div>
</section>
</li>
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javafx.scene.image.ImageView</h3>
<a id="fields.inherited.from.class.javafx.scene.image.ImageView">
<!--   -->
</a><code>SMOOTH_DEFAULT</code></div>
<div class="inheritedList">
<h3>Fields inherited from class&nbsp;javafx.scene.Node</h3>
<a id="fields.inherited.from.class.javafx.scene.Node">
<!--   -->
</a><code>BASELINE_OFFSET_SAME_AS_HEIGHT</code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.util.ArrayList,javafx.scene.layout.Pane,int)">MonsterRender</a></span>&#8203;(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
javafx.scene.layout.Pane&nbsp;root,
int&nbsp;speed)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Monster render.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.util.ArrayList,javafx.scene.layout.Pane,int,int,int)">MonsterRender</a></span>&#8203;(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
javafx.scene.layout.Pane&nbsp;root,
int&nbsp;xSh,
int&nbsp;ySh,
int&nbsp;speed)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Monster render.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#animate(int)">animate</a></span>&#8203;(int&nbsp;i)</code></th>
<td class="colLast">
<div class="block">Animate.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#clearPath()">clearPath</a></span>()</code></th>
<td class="colLast">
<div class="block">Clear path lists</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getColumns()">getColumns</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets columns.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCount()">getCount</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets count.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListX()">getListX</a></span>()</code></th>
<td class="colLast">
<div class="block">Get xList.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getListY()">getListY</a></span>()</code></th>
<td class="colLast">
<div class="block">Get yList.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSizeOfListX()">getSizeOfListX</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets size of xList.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSizeOfListY()">getSizeOfListY</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets size of yList.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getWidth()">getWidth</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets width.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>java.lang.Integer</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getxList()">getxList</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets first element of xList.</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getxSh()">getxSh</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets xShift.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>java.lang.Integer</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getyList()">getyList</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets first element of yList.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getySh()">getySh</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets yShift.</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#monsterMove(int,int)">monsterMove</a></span>&#8203;(int&nbsp;xSh,
int&nbsp;ySh)</code></th>
<td class="colLast">
<div class="block">Monster move to next position</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#monsterMove(java.util.ArrayList)">monsterMove</a></span>&#8203;(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path)</code></th>
<td class="colLast">
<div class="block">Monster move.</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#monsterMove(java.util.ArrayList,int,int)">monsterMove</a></span>&#8203;(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
int&nbsp;xSh,
int&nbsp;ySh)</code></th>
<td class="colLast">
<div class="block">Monster move to next position</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pathLinearize(java.util.ArrayList,int,int,int)">pathLinearize</a></span>&#8203;(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
int&nbsp;xSh,
int&nbsp;ySh,
int&nbsp;speed)</code></th>
<td class="colLast">
<div class="block">Path linearize (linearize the path by getting a list of position to the monster to move to seem moving in a continuous)</div>
</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pathLinearizeXY(java.util.ArrayList,java.util.ArrayList,int,int,int)">pathLinearizeXY</a></span>&#8203;(java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;xListA,
java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;yListA,
int&nbsp;xSh,
int&nbsp;ySh,
int&nbsp;speed)</code></th>
<td class="colLast">
<div class="block">Path linearize with the actual path and the shifts (used to slowdown  by example)</div>
</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#render(javafx.scene.layout.Pane)">render</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Render</div>
</td>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#render(javafx.scene.layout.Pane,java.lang.String)">render</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root,
java.lang.String&nbsp;ress)</code></th>
<td class="colLast">
<div class="block">Render.</div>
</td>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCount(int)">setCount</a></span>&#8203;(int&nbsp;count)</code></th>
<td class="colLast">
<div class="block">Sets count.</div>
</td>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setxSh(int)">setxSh</a></span>&#8203;(int&nbsp;xSh)</code></th>
<td class="colLast">
<div class="block">Sets the xShift</div>
</td>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setySh(int)">setySh</a></span>&#8203;(int&nbsp;ySh)</code></th>
<td class="colLast">
<div class="block">Sets yShift.</div>
</td>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unrender(javafx.scene.layout.Pane)">unrender</a></span>&#8203;(javafx.scene.layout.Pane&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Unrender.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javafx.scene.image.ImageView</h3>
<a id="methods.inherited.from.class.javafx.scene.image.ImageView">
<!--   -->
</a><code>fitHeightProperty, fitWidthProperty, getClassCssMetaData, getCssMetaData, getFitHeight, getFitWidth, getImage, getViewport, getX, getY, imageProperty, isPreserveRatio, isSmooth, preserveRatioProperty, setFitHeight, setFitWidth, setImage, setPreserveRatio, setSmooth, setViewport, setX, setY, smoothProperty, viewportProperty, xProperty, yProperty</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;javafx.scene.Node</h3>
<a id="methods.inherited.from.class.javafx.scene.Node">
<!--   -->
</a><code>accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBaselineOffset, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClip, getContentBias, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isResizable, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookup, lookupAll, managedProperty, maxHeight, maxWidth, minHeight, minWidth, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, prefHeight, prefWidth, pressedProperty, pseudoClassStateChanged, queryAccessibleAttribute, relocate, removeEventFilter, removeEventHandler, requestFocus, resize, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></div>
<div class="inheritedList">
<h3>Methods inherited from interface&nbsp;javafx.css.Styleable</h3>
<a id="methods.inherited.from.class.javafx.css.Styleable">
<!--   -->
</a><code>getStyleableNode</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(java.util.ArrayList,javafx.scene.layout.Pane,int)">MonsterRender</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">MonsterRender</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
javafx.scene.layout.Pane&nbsp;root,
int&nbsp;speed)</span></div>
<div class="block">Instantiates a new Monster render.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
<dd><code>root</code> - the root</dd>
<dd><code>speed</code> - the speed</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(java.util.ArrayList,javafx.scene.layout.Pane,int,int,int)">MonsterRender</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">MonsterRender</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
javafx.scene.layout.Pane&nbsp;root,
int&nbsp;xSh,
int&nbsp;ySh,
int&nbsp;speed)</span></div>
<div class="block">Instantiates a new Monster render.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
<dd><code>root</code> - the root</dd>
<dd><code>xSh</code> - the x sh</dd>
<dd><code>ySh</code> - the y sh</dd>
<dd><code>speed</code> - the speed</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="render(javafx.scene.layout.Pane)">render</a></h3>
<div class="memberSignature"><span class="modifiers">public abstract</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">render</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block">Render</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="unrender(javafx.scene.layout.Pane)">unrender</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">unrender</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root)</span></div>
<div class="block">Unrender.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="render(javafx.scene.layout.Pane,java.lang.String)">render</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">render</span>&#8203;(<span class="arguments">javafx.scene.layout.Pane&nbsp;root,
java.lang.String&nbsp;ress)</span></div>
<div class="block">Render.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root</dd>
<dd><code>ress</code> - the ress</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="pathLinearize(java.util.ArrayList,int,int,int)">pathLinearize</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">pathLinearize</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
int&nbsp;xSh,
int&nbsp;ySh,
int&nbsp;speed)</span></div>
<div class="block">Path linearize (linearize the path by getting a list of position to the monster to move to seem moving in a continuous)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
<dd><code>xSh</code> - the x shift of this monster</dd>
<dd><code>ySh</code> - the y shift of this monster</dd>
<dd><code>speed</code> - the speed</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="pathLinearizeXY(java.util.ArrayList,java.util.ArrayList,int,int,int)">pathLinearizeXY</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">pathLinearizeXY</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;xListA,
java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;yListA,
int&nbsp;xSh,
int&nbsp;ySh,
int&nbsp;speed)</span></div>
<div class="block">Path linearize with the actual path and the shifts (used to slowdown  by example)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xListA</code> - the x list a</dd>
<dd><code>yListA</code> - the y list a</dd>
<dd><code>xSh</code> - the x sh</dd>
<dd><code>ySh</code> - the y sh</dd>
<dd><code>speed</code> - the speed</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="monsterMove(java.util.ArrayList)">monsterMove</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">monsterMove</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path)</span></div>
<div class="block">Monster move.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="monsterMove(java.util.ArrayList,int,int)">monsterMove</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">monsterMove</span>&#8203;(<span class="arguments">java.util.ArrayList&lt;java.lang.Integer&gt;&nbsp;path,
int&nbsp;xSh,
int&nbsp;ySh)</span></div>
<div class="block">Monster move to next position</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the path</dd>
<dd><code>xSh</code> - the x sh</dd>
<dd><code>ySh</code> - the y sh</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="monsterMove(int,int)">monsterMove</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">monsterMove</span>&#8203;(<span class="arguments">int&nbsp;xSh,
int&nbsp;ySh)</span></div>
<div class="block">Monster move to next position</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xSh</code> - the x sh</dd>
<dd><code>ySh</code> - the y sh</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the int</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getSizeOfListX()">getSizeOfListX</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getSizeOfListX</span>()</div>
<div class="block">Gets size of xList.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the size of list x</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getSizeOfListY()">getSizeOfListY</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getSizeOfListY</span>()</div>
<div class="block">Gets size of yList.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the size of list y</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="animate(int)">animate</a></h3>
<div class="memberSignature"><span class="modifiers">public abstract</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">animate</span>&#8203;(<span class="arguments">int&nbsp;i)</span></div>
<div class="block">Animate.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - the</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getListX()">getListX</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;java.lang.Integer&gt;</span>&nbsp;<span class="memberName">getListX</span>()</div>
<div class="block">Get xList.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the array list</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getListY()">getListY</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.ArrayList&lt;java.lang.Integer&gt;</span>&nbsp;<span class="memberName">getListY</span>()</div>
<div class="block">Get yList.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the array list</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getxList()">getxList</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.Integer</span>&nbsp;<span class="memberName">getxList</span>()</div>
<div class="block">Gets first element of xList.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getyList()">getyList</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.Integer</span>&nbsp;<span class="memberName">getyList</span>()</div>
<div class="block">Gets first element of yList.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="clearPath()">clearPath</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">clearPath</span>()</div>
<div class="block">Clear path lists</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getxSh()">getxSh</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getxSh</span>()</div>
<div class="block">Gets xShift.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the xShift</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setxSh(int)">setxSh</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setxSh</span>&#8203;(<span class="arguments">int&nbsp;xSh)</span></div>
<div class="block">Sets the xShift</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xSh</code> - the xShift</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getySh()">getySh</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getySh</span>()</div>
<div class="block">Gets yShift.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the yShift.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setySh(int)">setySh</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setySh</span>&#8203;(<span class="arguments">int&nbsp;ySh)</span></div>
<div class="block">Sets yShift.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ySh</code> - the yShift.</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCount()">getCount</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getCount</span>()</div>
<div class="block">Gets count.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the count</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setCount(int)">setCount</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setCount</span>&#8203;(<span class="arguments">int&nbsp;count)</span></div>
<div class="block">Sets count.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>count</code> - the count</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getColumns()">getColumns</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getColumns</span>()</div>
<div class="block">Gets columns.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the columns</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getWidth()">getWidth</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getWidth</span>()</div>
<div class="block">Gets width.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the width</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MonsterRender.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
